add credit card
1 min
POST
https://api.upstartcommerce.com/v1/customer/profile/creditcards/cards
Header Parameters
- x-upstart-tenantstringrequiredDescription
- x-upstart-sitestringDescription
Body Parameters
- bodyCreditCardrequiredDescription
- cardNumberstringrequiredExampleDescriptionPattern[0-9]{4}
- cardTypestringrequiredExampleDescription
- expirationMonthstringrequiredExampleDescriptionPattern^[0,1][0-9]$
- expirationYearstringrequiredExampleDescriptionPattern^2[0-9]{3}$
- labelstringrequiredExampleDescription
- tokenstringrequiredExampleDescription
Responses
200
400
- ValidationErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstring
401
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
403
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request POST \
--url https://api.upstartcommerce.com/v1/customer/profile/creditcards/cards \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"cardNumber": "8111",
"cardType": "Visa",
"expirationMonth": "10",
"expirationYear": "2025",
"label": "Personal",
"token": "65FZG32BYZ756JH345"
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var raw = JSON.stringify({
"cardNumber": "8111",
"cardType": "Visa",
"expirationMonth": "10",
"expirationYear": "2025",
"label": "Personal",
"token": "65FZG32BYZ756JH345"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/customer/profile/creditcards/cards", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/customer/profile/creditcards/cards")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request.body = JSON.dump({
"cardNumber": "8111",
"cardType": "Visa",
"expirationMonth": "10",
"expirationYear": "2025",
"label": "Personal",
"token": "65FZG32BYZ756JH345"
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/customer/profile/creditcards/cards"
payload = json.dumps({
"cardNumber": "8111",
"cardType": "Visa",
"expirationMonth": "10",
"expirationYear": "2025",
"label": "Personal",
"token": "65FZG32BYZ756JH345"
})
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Success-credit card data added.
400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{
"name": "",
"code": "",
"detail": ""
}401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}403
// An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// The requested resource was not found in the NoChannel system.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}